API documentation | API docs for agents | OpenAPI 3.1
POST /api/v1/people
ark.create_person
Creates a carrier driver or dispatcher contact.
- Availability
- Core preview
- Scopes
people:write- ARK permissions
canCreatePerson- Team visibility
- Not entity-scoped
- Idempotency-Key
- Required for this write
- Approval
- No MCP approval on REST API-token calls
- Rate limit
- API credential and organization budgets
Parameters
Idempotency-Keyheaderstringrequired- Required for external write operations. Reuse the same key only for exact retries of the same request body.
- min length: 1; max length: 200
Request body
typestringrequiredone of: driver, dispatcher
carrierIdstringrequiredCarrier ID this driver or dispatcher contact belongs to.
format: uuid
firstNamestring | nullmax length: 100
lastNamestring | nullmax length: 100
emailstring | nullmax length: 500
phonestring | nullmax length: 50
notesstring | nullmax length: 5000
Example request
Shell
curl -X POST 'https://arktms.com/api/v1/people' \
-H "Authorization: Bearer $ARK_API_TOKEN" \
-H "Idempotency-Key: <unique-key>" \
-H "Content-Type: application/json" \
-d '{
"type": "driver",
"carrierId": "<carrierId>"
}'Success response
Created person
objectstringrequiredone of: api_response
okbooleanrequiredone of: true
api_versionstringrequiredone of: 2026-05-31
request_idstringrequireddataobjectrequireddata.typestringrequiredone of: driver, dispatcher
data.recordIdstringrequiredDriver or dispatcher table record ID.
format: uuid
data.personIdstringrequiredUnderlying ARK person ID used for get/update/delete.
format: uuid
data.firstNamestring | nullrequireddata.lastNamestring | nullrequireddata.emailstring | nullrequireddata.phonestring | nullrequireddata.notesstring | nullrequireddata.carrierobject | nullrequireddata.hasAppAccountboolean | nullrequiredDriver mobile-app account flag. Null for dispatchers.
data.userIdstring | nullrequiredformat: uuid
data.createdAtstring | nullrequiredformat: date-time
data.modifiedAtstring | nullrequiredformat: date-time
Errors
HTTP 400- Invalid request
HTTP 401- Authentication required
HTTP 403- Permission, scope, team, or entitlement denied